if RazerNaga == nil then RazerNaga = {} end

local debug = false
local alpha = false

local T = LibStub( "WAR-AceLocale-3.0" ) : GetLocale( "RazerNaga", debug )

--
-- The numerical order of these modifiers is important.  Add new ones to the end
--
RazerNaga.MODIFIER_UNASSIGNED	= 1		-- This entry is not presented to the user and is used when the modifier is auto cleared
RazerNaga.MODIFIER_NONE			= 2
RazerNaga.MODIFIER_ALT			= 3
RazerNaga.MODIFIER_CTRL			= 4 
RazerNaga.MODIFIER_SHIFT		= 5

RazerNaga.MODIFIER =
{
	[RazerNaga.MODIFIER_UNASSIGNED]		= 
	{ 
		text	= T[""], 		
		button 	= 0,
		modifier = RazerNaga.MODIFIER_UNASSIGNED,
		update 	= function( id ) RazerNaga.UpdateModifier( id, RazerNaga.MODIFIER_UNASSIGNED ) end
	},
	
	[RazerNaga.MODIFIER_NONE]		= 
	{ 
		text	= GetString( StringTables.Default.LABEL_NONE ), 		
		button 	= 0,
		modifier = RazerNaga.MODIFIER_NONE,
		update 	= function( id ) RazerNaga.UpdateModifier( id, RazerNaga.MODIFIER_NONE ) end
	},
	
	[RazerNaga.MODIFIER_ALT]		= 
	{ 
		--text	= T["ALT key"], 
		text 	= KeyUtils.GetBindingName( { 56 }, 1 ),		
		button 	= 56,
		modifier = RazerNaga.MODIFIER_ALT,
		update 	= function( id ) RazerNaga.UpdateModifier( id, RazerNaga.MODIFIER_ALT ) end
	},
	[RazerNaga.MODIFIER_CTRL]		= 
	{ 
		--text	= T["CTRL key"], 		
		text 	= KeyUtils.GetBindingName( { 29 }, 1 ),
		button 	= 29,
		modifier = RazerNaga.MODIFIER_CTRL,
		update 	= function( id ) RazerNaga.UpdateModifier( id, RazerNaga.MODIFIER_CTRL ) end
	},
	[RazerNaga.MODIFIER_SHIFT]		= 
	{ 
		--text	= T["SHIFT key"],
		text 	= KeyUtils.GetBindingName( { 42 }, 1 ),	
		button 	= 42,
		modifier = RazerNaga.MODIFIER_SHIFT,
		update 	= function( id ) RazerNaga.UpdateModifier( id, RazerNaga.MODIFIER_SHIFT ) end
	},
}

RazerNaga.MODIFIER_MENU = {}
RazerNaga.MODIFIER_MENU[1] = RazerNaga.MODIFIER_NONE
RazerNaga.MODIFIER_MENU[2] = RazerNaga.MODIFIER_ALT
RazerNaga.MODIFIER_MENU[3] = RazerNaga.MODIFIER_CTRL
RazerNaga.MODIFIER_MENU[4] = RazerNaga.MODIFIER_SHIFT
RazerNaga.MODIFIER_MENU[5] = RazerNaga.MODIFIER_ALT_CTRL
RazerNaga.MODIFIER_MENU[6] = RazerNaga.MODIFIER_ALT_SHIFT
RazerNaga.MODIFIER_MENU[7] = RazerNaga.MODIFIER_CTRL_SHIFT

--
-- The numerical order of these modes is important.  Add new ones to the end
--
RazerNaga.MODE_BASIC	= 1
RazerNaga.MODE_ADVANCED	= 2

RazerNaga.MODES = 
{
	[RazerNaga.MODE_BASIC]		= { desc=T["Basic"] 	},
	[RazerNaga.MODE_ADVANCED]	= { desc=T["Advanced"] 	}
}